Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235028 - CVE-2007-1001 gd php flaws (CVE-2007-0455)
Summary: CVE-2007-1001 gd php flaws (CVE-2007-0455)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 14:07 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0155
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 15:33:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0155 normal SHIPPED_LIVE Important: php security update 2007-04-16 15:33:01 UTC

Description Joe Orton 2007-04-03 14:07:49 UTC
Description of problem:
An integer overflow exists in the wbmp handling in the copy of the gd library
which is bundled in the "gd" extension:

http://cvs.php.net/viewvc.cgi/php-src/ext/gd/libgd/gdhelpers.h?r1=1.2.2.3&r2=1.2.2.3.4.1&diff_format=u

Comment 1 Joe Orton 2007-04-03 14:11:57 UTC
Additionally, per bug 224607, Kees Cook from Ubuntu reported a
"off-the-end-of-string increment", which could theoretically lead ot a buffer
overflow.  This flaw would only be exploitable if a JIS-encoded font is used when
processing a special malicious string.  (CVE-2007-0455; Impact: Low)


Comment 5 Red Hat Bugzilla 2007-04-16 15:33:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0155.html



Note You need to log in before you can comment on or make changes to this bug.